unit Unit9;

interface

uses
{$IFNDEF LINUX}
  Windows, Messages,
{$ENDIF}
{$IFDEF CLX}
  QGraphics, QControls, QForms, QDialogs, QExtCtrls, QStdCtrls, QComCtrls,
{$ELSE}
  Graphics, Controls, Forms, Dialogs, ExtCtrls, StdCtrls, ComCtrls,
{$ENDIF}
  SysUtils, Classes, VclTee.TeeThemes, VclTee.TeeProcs, VclTee.TeEngine, VclTee.Chart, VclTee.TeeComma, VclTee.TeCanvas, OpenGL, VclTee.TeeGLCanvas,
  VclTee.TeeOpenGL, VclTee.TeeEditPro, VclTee.Series, VclTee.TeePoin3, VclTee.TeeSurfa, VclTee.TeeTriSurface, VclTee.TeeGDIPlus,
  VclTee.TeeSeriesTextEd, VclTee.TeeLisB;

type
  TForm1 = class(TForm)
    TheChart: TChart;
    Button1: TButton;
    ChartListBox1: TChartListBox;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure Chart3DSetup(var aChart: TChart);
begin
  with aChart do
    begin
      Canvas := TGLCanvas.Create;

      View3D := true;
      Chart3DPercent := 100;
      View3DOptions.Orthogonal := false;
      View3DOptions.Perspective := 0;
      View3DOptions.Zoom := 50;
      View3DOptions.Rotation := 315;
      View3DOptions.Elevation := 345;
    end;
end;

procedure Chart_ChartListBox(aChart: TChart; var aChartListBox: TChartListBox);
begin
  with aChartListBox do
    begin
      Chart := aChart;
      EnableChangeType := false;
      EnableChangeColor := true;
      EnableDragSeries := false;
      ShowSeriesIcon := false;
      ShowActiveCheck := true;
      ShowSeriesColor := true;
      ShowSeriesTitle := true;
      FontSeriesColor := true;
      AllowDeleteSeries := false;
      AllowAddSeries := false;
    end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart3DSetup(TheChart);
  Chart_ChartListBox(TheChart, ChartListBox1);

  with TheChart.AddSeries(TPoint3DSeries) as TPoint3DSeries do
    begin
      Title := 'Series-1';
      FillSampleValues;
      LinePen.Width := 2;
      LinePen.Color := clRed;
    end;

  with TheChart.AddSeries(TPoint3DSeries) as TPoint3DSeries do
    begin
      Title := 'Series-2';
      FillSampleValues;
      LinePen.Width := 2;
      LinePen.Color := clGreen;
    end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  close;
end;

end.
